- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisNodeDesc Class Reference

`#include <BlisNodeDesc.h>`

Inheritance diagram for BlisNodeDesc:

[legend]
Collaboration diagram for BlisNodeDesc:

[legend]
List of all members.

## Public Member Functions
| BlisNodeDesc ()
| Default constructor.
| BlisNodeDesc (BlisModel *m)
| Useful constructor.
virtual | ~BlisNodeDesc ()
| Destructor.
void | setBasis (CoinWarmStartBasis *&ws)
| Set basis.
CoinWarmStartBasis * | getBasis () const
| Get warm start basis.
void | setBranchedDir (int d)
| Set branching direction.
int | getBranchedDir () const
| Get branching direction.
void | setBranchedInd (int d)
| Set branching object index.
int | getBranchedInd () const
| Get branching object index.
void | setBranchedVal (double d)
| Set branching value.
double | getBranchedVal () const
| Get branching direction.
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack node description into an encoded.
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a node description from an encoded.
## Protected Member Functions
AlpsReturnStatus | encodeBlis (AlpsEncoded *encoded) const
| Pack blis portion of node description into an encoded.
AlpsReturnStatus | decodeBlis (AlpsEncoded &encoded)
| Unpack blis portion of node description from an encoded.
## Private Attributes
int | branchedDir_
| Branched direction to create it.
int | branchedInd_
| Branched object index to create it.
double | branchedVal_
| Branched value to create it.
CoinWarmStartBasis * | basis_
| Warm start.

## Detailed Description

Definition at line 41 of file BlisNodeDesc.h.

## Constructor & Destructor Documentation

BlisNodeDesc::BlisNodeDesc | ( |  | ) | `[inline]`

Default constructor.

Definition at line 60 of file BlisNodeDesc.h.

BlisNodeDesc::BlisNodeDesc | ( | BlisModel * | m | ) | `[inline]`

Useful constructor.

Definition at line 69 of file BlisNodeDesc.h.

virtual BlisNodeDesc::~BlisNodeDesc | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 79 of file BlisNodeDesc.h.

References basis_.

## Member Function Documentation

void BlisNodeDesc::setBasis | ( | CoinWarmStartBasis *& | ws | ) | `[inline]`

Set basis.

Definition at line 82 of file BlisNodeDesc.h.

References basis_.

CoinWarmStartBasis* BlisNodeDesc::getBasis | ( |  | ) | const`[inline]`

Get warm start basis.

Definition at line 89 of file BlisNodeDesc.h.

References basis_.

void BlisNodeDesc::setBranchedDir | ( | int | d | ) | `[inline]`

Set branching direction.

Definition at line 92 of file BlisNodeDesc.h.

References branchedDir_.

int BlisNodeDesc::getBranchedDir | ( |  | ) | const`[inline]`

Get branching direction.

Definition at line 95 of file BlisNodeDesc.h.

References branchedDir_.

void BlisNodeDesc::setBranchedInd | ( | int | d | ) | `[inline]`

Set branching object index.

Definition at line 98 of file BlisNodeDesc.h.

References branchedInd_.

int BlisNodeDesc::getBranchedInd | ( |  | ) | const`[inline]`

Get branching object index.

Definition at line 101 of file BlisNodeDesc.h.

References branchedInd_.

void BlisNodeDesc::setBranchedVal | ( | double | d | ) | `[inline]`

Set branching value.

Definition at line 104 of file BlisNodeDesc.h.

References branchedVal_.

double BlisNodeDesc::getBranchedVal | ( |  | ) | const`[inline]`

Get branching direction.

Definition at line 107 of file BlisNodeDesc.h.

References branchedVal_.

AlpsReturnStatus BlisNodeDesc::encodeBlis | ( | AlpsEncoded * | encoded | ) | const`[inline, protected]`

Pack blis portion of node description into an encoded.

Definition at line 112 of file BlisNodeDesc.h.

References AlpsReturnStatusOk, basis_, BlisEncodeWarmStart(), branchedDir_, branchedInd_, branchedVal_, and AlpsEncoded::writeRep().

Referenced by encode().

AlpsReturnStatus BlisNodeDesc::decodeBlis | ( | AlpsEncoded & | encoded | ) | `[inline, protected]`

Unpack blis portion of node description from an encoded.

Definition at line 134 of file BlisNodeDesc.h.

References AlpsReturnStatusOk, basis_, BlisDecodeWarmStart(), branchedDir_, branchedInd_, branchedVal_, and AlpsEncoded::readRep().

Referenced by decode().

virtual AlpsReturnStatus BlisNodeDesc::encode | ( | AlpsEncoded * | encoded | ) | const`[inline, virtual]`

Pack node description into an encoded.

Reimplemented from AlpsNodeDesc.

Definition at line 157 of file BlisNodeDesc.h.

References AlpsReturnStatusOk, BcpsNodeDesc::encodeBcps(), and encodeBlis().

virtual AlpsReturnStatus BlisNodeDesc::decode | ( | AlpsEncoded & | encoded | ) | `[inline, virtual]`

Unpack a node description from an encoded.

Fill member data.

Reimplemented from AlpsNodeDesc.

Definition at line 167 of file BlisNodeDesc.h.

References AlpsReturnStatusOk, BcpsNodeDesc::decodeBcps(), and decodeBlis().

## Member Data Documentation

int BlisNodeDesc::branchedDir_`[private]`

Branched direction to create it.

For updating pseudocost.

Definition at line 46 of file BlisNodeDesc.h.

Referenced by decodeBlis(), encodeBlis(), getBranchedDir(), and setBranchedDir().

int BlisNodeDesc::branchedInd_`[private]`

Branched object index to create it.

For updating pseudocost.

Definition at line 49 of file BlisNodeDesc.h.

Referenced by decodeBlis(), encodeBlis(), getBranchedInd(), and setBranchedInd().

double BlisNodeDesc::branchedVal_`[private]`

Branched value to create it.

For updating pseudocost.

Definition at line 52 of file BlisNodeDesc.h.

Referenced by decodeBlis(), encodeBlis(), getBranchedVal(), and setBranchedVal().

CoinWarmStartBasis* BlisNodeDesc::basis_`[private]`

Warm start.

Definition at line 55 of file BlisNodeDesc.h.

Referenced by decodeBlis(), encodeBlis(), getBasis(), setBasis(), and ~BlisNodeDesc().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/Bcps/examples/Blis/BlisNodeDesc.h